/* estilos para ETIQUETAS */

h1
{
    color: #2F4783;
}

/*input[type="submit"], input[type="button"]
{
	font-size: 20px;
}*/

label
{
    color: white;
	  font-size: 15px;
}

body {

    background-image: url("../media/imagenes/fondo_geoportal.png");
    background-repeat: no-repeat;
}

/* estilos para IDENTIFICADORES */

#user::placeholder, #password::placeholder{
    color: #eaebec;
    opacity: 1;
}

#user {

    margin-bottom: 15px;
}

#icono-login-user svg, #icono-login-password svg {
    width: 4vh;
    color: #b6bac7;
}

#main-login
{
    left: 53%;
    position: absolute;
    padding-top: 1em;
    top: 73%;
    transform: translate(-50%, -50%);
    width: 90%;
}

#nombre-proyecto
{
    margin-bottom: 1em;
}

#login, #login-cambio-pass
{
    border-radius: 15px;
    text-align: left;
    top: 11vh;
}

#login .form-control {
    border: none;
    border-radius: 12px;
    font-family: "Candara",Helvetica, Verdana;
    font-size: 100%;
    height: 4vh;
    max-width: 100%;
    padding: .35em;
    /* width: 100%;*/
    background-color: #b6bac7;

}

.filled-input{
    background-color : #EEEEEE !important;
}

#error-login
{
    margin-top: 1em;
}

#forgotPass-login {
    float: left;
    margin-top: 25px;
}

#forgotPass-login a {

    font-weight: normal;
    color: #d1d4de;
    cursor: pointer;
    text-decoration: none;
    font-size: 2vh;
    position: relative;

}

#certificate-login {
    float: left;
    margin-top: 25px;
}

#certificate-login a {

    font-weight: normal;
    color: #d1d4de;
    cursor: pointer;
    text-decoration: none;
    font-size: 3vh;
    position: relative;

}

#error-login
{
	color: #FE2E2E;
	font-size: 22px;
    height: 100px;
}

#logo p:first-child {

    line-height: 10vh;
    color: white;
    font-size: 10vh;
    font-family: 'Candara';
    padding-bottom: 29px;
    position: relative;
    top: 5vh;
}

#logo img {
    width: 28vw;
    height: 12vh;
    position: relative;
    /*top: 7vh;*/ 
    opacity: 80%;
}
logo img2 {
    width: 28vw;
    height: 12vh;
    position: relative;
    /*top: 7vh;*/
    opacity: 80%;
}
#logo>div:nth-child(2) {
    position: relative;
    top: 5vh;
    border-top: 7px solid #a2966a;
    padding-top: 25px;
    margin: 0 auto;
}

#boton-login svg {
    margin-top: 20px;
    color: #a2966a;
    width: 4vh;
}

#boton-login-certificate svg {
    margin-top: 20px;
    color: #b6bac7;
    width: 4vh;
}

#boton-solicitarPass svg {
    margin-top: 12px;
    color: #a2966a;
    width: 6vh;
}

#boton-login svg:hover, #boton-solicitarPass svg:hover {
    color: #b6bac7;
}

#boton-login-certificate svg:hover {
    color: #a2966a;
}

#elementosLogin {
    background-color: #4a5d7df2;
    position: relative;
    box-shadow: rgb(0 0 0 / 78%) 0px 22px 70px 4px;
    border-radius: 10px;
    min-height: 50vh;
    padding-bottom: 10px;
}

#formLogin, #formForgotPass, #formCambioMiPassword {
    position: relative;
    top: 20px;
}

#volverLogin:hover, #icono-login-user:hover svg, #icono-login-password:hover svg, #forgotPass-login a:hover, #certificate-login a:hover {
    color: #a2966a;
}
/* MEDIA QUERY */

@media (max-width: 1100px)
{
    /*input[type="password"], input[type="text"], textarea
    {
        font-size: 20px;
        height: 30px;
    }
    
    input[type="submit"], input[type="button"]
    {
        font-size: 20px;
    }

    label
    {
        font-size: 20px;
    }*/

    #logo p:first-child {

         font-size: 9vh;
    }

    #error-login
    {
        font-size: 20px;
        height: 90px;
    }


    #logo>div:nth-child(2) {
        top: 2vh;
    }
    
    /*.img-logo
    {
        width: 500px;
    }*/
}

@media (max-width: 992px)
{
    input[type="password"], input[type="text"], textarea
    {
        font-size: 20px;
        height: 30px;
    }
    
    input[type="submit"], input[type="button"]
    {
        font-size: 20px;
    }

    label
    {
        font-size: 20px;
    }
    
    #main-login
    {
        height: 100%;
        overflow: auto;
        padding-top: 1em;
        width: 100%;
        position: relative;
        top: 10%;
        transform: none;
        left: auto;
    }
    
    #logo
    {
        margin-right: auto;
        margin-left: auto;
        width: 60%;
    }
    
    #login, #login-cambio-pass
    {
        height: 250px;
        margin-top: 1.5em;
        top: 0vh;
    }

    .img-logo
    {
        max-width: 100%;
        height: auto;
    }

    #elementosLogin {
        height: unset;
    }

    #logo p:first-child {
        line-height: normal;
        margin-left: auto;
    }


    #logo img {
        width: 100%;
        height: auto;
        left: auto;
        padding-bottom: 50px;
    }
}

@media (max-width: 768px) {

    #logo p:first-child {
        line-height: inherit;
        color: white;
        font-size: 9vw;
        padding-bottom: unset;
        top: 2vh;
    }


    #login, #login-cambio-pass {
        top: unset;
    }
}

@media (max-width: 388px)
{
    h1
    {
        font-size: 24px;
    }

    input[type="password"], input[type="text"], textarea
    {
        font-size: 16px;
        height: 25px;
    }

    input[type="submit"], input[type="button"]
    {
        font-size: 15px;
    }

    label
    {
        font-size: 16px;
    }

    #login
    {
        height: 210px;
    }

    #forgotPass-login
    {
        font-size: 14px;
    }
    #certificate-login
    {
        font-size: 14px;
    }
    #error-login
    {
        font-size: 16px;
    }


    .forgotPass
    {
        font-size: 1px; /* Al ponerlo a 1px no desborda a poco tamaño y la letra queda a un buen tamaño */
    }
}

@media (min-height: 1125px) {
    body {
        background-size: 100% 100%;
    }
}

@media (min-height: 1125px) {
    body {
        background-size: 100% 100%;
    }
}